- Main Page
- Classes
- Files
- Directories
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions

# FbxLayerElementNormal Class Reference

This reference page is linked to from the following overview topics: Meshes, Layered Textures, List of Python Fbx classes.

Search for all occurrences

## Detailed Description

Layer element for mapping Normals to a geometry.

Remarks:
  To be correctly saved in FBX file, this type of Layer element should have its reference mode set to eIndexToDirect.

Examples:

  Common/GeometryUtility.cxx, ExportDocument/main.cxx, ExportScene03/main.cxx, ImportScene/DisplayMesh.cxx, Instances/main.cxx, Layers/main.cxx, Normals/main.cxx, ProceduralTexture/main.cxx, UserProperties/main.cxx, and ViewScene/SceneCache.cxx.

Definition at line 1316 of file fbxlayer.h.

`#include <fbxlayer.h>`

Inheritance diagram for FbxLayerElementNormal:
[legend]

List of all members.

## Public Member Functions
| FBXSDK_LAYER_ELEMENT_CREATE_DECLARE (LayerElementNormal)
| Allocation method.
## Protected Member Functions
| FbxLayerElementNormal ()
| ~FbxLayerElementNormal ()

## Constructor & Destructor Documentation

FbxLayerElementNormal | ( |  | ) | `[protected]`

~FbxLayerElementNormal | ( |  | ) | `[protected]`

## Member Function Documentation

FBXSDK_LAYER_ELEMENT_CREATE_DECLARE | ( | LayerElementNormal |  | ) |

Search for all occurrences

Allocation method.

Returns:
  A pointer to the layer element or `NULL` if creation fails.

The documentation for this class was generated from the following file:

- fbxsdk/scene/geometry/fbxlayer.h

FbxLayerElementNormal FbxLayerElementNormal FbxLayerElementNormal FbxLayerElementNormal FbxLayerElementNormal FbxLayerElementNormal FbxLayerElementNormal FbxLayerElementNormal FbxLayerElementNormal FbxLayerElementNormal
FbxLayerElementNormal FbxLayerElementNormal FbxLayerElementNormal FbxLayerElementNormal FbxLayerElementNormal FbxLayerElementNormal FbxLayerElementNormal FbxLayerElementNormal FbxLayerElementNormal FbxLayerElementNormal